package com.bonus.core.allocation.advise.param;

import com.bonus.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.core.common.encrypt.LeNiuDecryptField;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@LeNiuDecryptDataProcess
public class AppletPlaintParam {
   @ApiModelProperty("人员id ")
   private Long custId;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("餐厅id")
   private Long canteenId;
   @ApiModelProperty("餐厅名称")
   private String canteenName;
   @ApiModelProperty("联系方式")
   @LeNiuDecryptField
   private String mobile;
   @ApiModelProperty("投诉建议id")
   private Long complaintId;
   @ApiModelProperty("投诉建议内容")
   private String content;
   @ApiModelProperty("投诉图片")
   private String complaintPicture;
   @ApiModelProperty("回复内容")
   private String replyContent;
   @ApiModelProperty("提交时间")
   private LocalDateTime crtime;

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Long getComplaintId() {
      return this.complaintId;
   }

   public String getContent() {
      return this.content;
   }

   public String getComplaintPicture() {
      return this.complaintPicture;
   }

   public String getReplyContent() {
      return this.replyContent;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setComplaintId(final Long complaintId) {
      this.complaintId = complaintId;
   }

   public void setContent(final String content) {
      this.content = content;
   }

   public void setComplaintPicture(final String complaintPicture) {
      this.complaintPicture = complaintPicture;
   }

   public void setReplyContent(final String replyContent) {
      this.replyContent = replyContent;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

}
